Uploaded image for project: 'Python Driver'
  1. Python Driver
  2. PYTHON-2905

Test Failure - EncryptionError: data_key _id must be a UUID

    XMLWordPrintableJSON

Details

    • Task
    • Status: Closed
    • Unknown
    • Resolution: Fixed
    • None
    • 4.0
    • Tests
    • None

    Description

      FLE tests started failing after the UUID change in PYTHON-2245:

       [2021/09/16 22:10:57.946] ERROR: test_01_aws_region_key (test_encryption.TestCustomEndpoint)
       [2021/09/16 22:10:57.946] ----------------------------------------------------------------------
       [2021/09/16 22:10:57.946] Traceback (most recent call last):
       [2021/09/16 22:10:57.946]   File "/data/mci/050e205f3a65ef0cc94bae9472651ab3/src/pymongo/encryption.py", line 73, in _wrap_encryption_errors
       [2021/09/16 22:10:57.946]     yield
       [2021/09/16 22:10:57.946]   File "/data/mci/050e205f3a65ef0cc94bae9472651ab3/src/pymongo/encryption.py", line 498, in create_data_key
       [2021/09/16 22:10:57.946]     return self._encryption.create_data_key(
       [2021/09/16 22:10:57.946]   File "/data/mci/050e205f3a65ef0cc94bae9472651ab3/src/venv-encryption/lib/python3.9/site-packages/pymongocrypt/explicit_encrypter.py", line 136, in create_data_key
       [2021/09/16 22:10:57.946]     return self.callback.insert_data_key(key)
       [2021/09/16 22:10:57.946]   File "/data/mci/050e205f3a65ef0cc94bae9472651ab3/src/pymongo/encryption.py", line 214, in insert_data_key
       [2021/09/16 22:10:57.946]     raise TypeError('data_key _id must be a UUID')
       [2021/09/16 22:10:57.946] TypeError: data_key _id must be a UUID
       [2021/09/16 22:10:57.946] During handling of the above exception, another exception occurred:
       [2021/09/16 22:10:57.946] Traceback (most recent call last):
       [2021/09/16 22:10:57.946]   File "/data/mci/050e205f3a65ef0cc94bae9472651ab3/src/test/test_encryption.py", line 1135, in test_01_aws_region_key
       [2021/09/16 22:10:57.946]     self.run_test_expected_success(
       [2021/09/16 22:10:57.946]   File "/data/mci/050e205f3a65ef0cc94bae9472651ab3/src/test/test_encryption.py", line 1125, in run_test_expected_success
       [2021/09/16 22:10:57.946]     data_key_id = self.client_encryption.create_data_key(
       [2021/09/16 22:10:57.946]   File "/data/mci/050e205f3a65ef0cc94bae9472651ab3/src/pymongo/encryption.py", line 498, in create_data_key
       [2021/09/16 22:10:57.946]     return self._encryption.create_data_key(
       [2021/09/16 22:10:57.946]   File "/opt/python/3.9/lib/python3.9/contextlib.py", line 137, in __exit__
       [2021/09/16 22:10:57.946]     self.gen.throw(typ, value, traceback)
       [2021/09/16 22:10:57.946]   File "/data/mci/050e205f3a65ef0cc94bae9472651ab3/src/pymongo/encryption.py", line 79, in _wrap_encryption_errors
       [2021/09/16 22:10:57.946]     raise EncryptionError(exc)
       [2021/09/16 22:10:57.946] pymongo.errors.EncryptionError: data_key _id must be a UUID
      

      https://evergreen.mongodb.com/task/mongo_python_driver_tests_python_version_amazon1_test_encryption__platform~awslinux_auth_ssl~noauth_nossl_python_version~3.9_encryption~encryption_test_4.2_standalone_fb20975a1f89363613560258f38e790bd8d32ca1_21_09_14_23_48_52

      Attachments

        Activity

          People

            shane.harvey@mongodb.com Shane Harvey
            shane.harvey@mongodb.com Shane Harvey
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: